Mandriva Linux Security Advisory : libgdata (MDVSA-2012:111)

Medium Nessus Plugin ID 61964


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been discovered and corrected in libgdata :

It was found that previously libgdata, a GLib-based library for accessing online service APIs using the GData protocol, did not perform SSL certificates validation even for secured connections. An application, linked against the libgdata library and holding the trust about the other side of the connection being the valid owner of the certificate, could be tricked into accepting of a spoofed SSL certificate by mistake (MITM attack) (CVE-2012-1177).

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 61964

File Name: mandriva_MDVSA-2012-111.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2012/09/06

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Temporal Score: 4.2

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64gdata-devel, p-cpe:/a:mandriva:linux:lib64gdata7, p-cpe:/a:mandriva:linux:libgdata-devel, p-cpe:/a:mandriva:linux:libgdata-i18n, p-cpe:/a:mandriva:linux:libgdata7, cpe:/o:mandriva:linux:2011

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/07/25

Reference Information

CVE: CVE-2012-1177

BID: 52504, 54750

MDVSA: 2012:111